from .models import BrowserLogData


def browser_logging_middleware(get_response):
    def middleware(request):
        r = get_response(request)
        try:
            BrowserLogData.objects.log_user_agent(request)
        except Exception:
            pass
        return r

    return middleware
